org.jboss.logging.annotations

## Annotation Type Property

    @Retention(value=CLASS)
    @Target(value=PARAMETER)
    @Documented
    public @interface Property

Indicate that a method parameter value should be applied to a property (with a setter method) on the resultant exception object.

Author:
  David M. Lloyd

### Optional Element Summary

Optional Elements
`String` `name` The property name.

### Element Detail

#### name

    public abstract String name

The property name. If not specified, the parameter name is assumed to be the property name.

Returns:
  the property name

Default:
  ""